# 32/64bit spec
#
Summary:	Find every application in the system
Summary(de):	Findet jedes Programm im System
Name:		xfce4-appfinder
Version:	4.12.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
Source1:	xfce4-appfinder.desktop
BuildRequires:	perl(XML::Parser)
BuildRequires:	xfconf-devel
BuildRequires:	thunar-devel >= 0.9.92
BuildRequires:	desktop-file-utils
BuildRequires:	garcon-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	glib2-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	gtk2-devel
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	xfce-appfinder
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
Xfce appfinder is an useful software that permits you to find
every application in the system supporting Desktop entry format.

#german
%description -l de
Xfce appfinder ist eine nützliche Software, die es Ihnen erlaubt 
alle Anwendungen im System zu finden, die das Desktop-Eintragsformat
unterstützen.

#french
%description -l fr
Appfinder Xfce est un logiciel utile qui vous permet de trouver 
toutes les applications dans le système de support de bureau format d'entrée.

#spanish
%description -l es
Appfinder Xfce es un software de utilidad que le permite encontrar 
cada aplicación en el sistema de apoyo a formato de entrada de escritorio.

#polish
%description -l pl
Xfce appfinder is an useful software that permits you to find
every application in the system supporting Desktop entry format.

#serbian
%description -l sr
Ксфце аппфиндер је користан софтвер који вам дозвољава да пронађете
све апликације у систему подршке Десктоп Ентры формату.

#dutch
%description -l nl
Xfce appfinder is een nuttige software waarmee u te vinden 
elke toepassing in het systeem ter ondersteuning Desktop Entry formaat.

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q

%build
./autogen.sh --prefix=/usr --libdir=%{_libdir} --sysconfdir=%{_sysconfdir}/X11
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/xfce4-appfinder.desktop

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/locale

%files doc
%defattr(-,root,root)
%doc README AUTHORS

%changelog
* Tue Jun 06 2017 threepio <threepio> 4.12.0-1uplos2017
- rebuild for uplos

* Mon Mar 02 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.0-1pclos2015
- 4.12.0
- remove deprecated BR libxfcegui4-devel
- add missing BRs

* Tue Feb 25 2014 ghostbunny <ghostbunny at gmx dot de> 4.11.0-1pclos2014
- 4.11.0
- change group of doc package to Documentation

* Sun May 05 2013 ghostbunny <ghostbunny at gmx dot de> 4.10.1-1pclos2013
- 4.10.1
- added BR garcon-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-1pclos2012
- 4.10.0
- added german summaries and descriptions
- fixed english summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.9.3-1pclos2012
- update

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 4.8.0-1pclos2011
- update for xfce4.8

* Tue Nov 09 2010 Sproggy <desproggster at gmail.com> 4.7.1-2pclos2010
- 4.7.1

* Sun May 23 2010 Texstar <texstar at gmail.com> 4.6.2-1pclos2010
- 4.6.2
